Bug 1416329 - [RFE] [ODL] Ability to set a customized user/password
Summary: [RFE] [ODL] Ability to set a customized user/password
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 12.0 (Pike)
Assignee: Michael Vorburger
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On: 1416358
Blocks: 1442136
TreeView+ depends on / blocked
 
Reported: 2017-01-25 09:59 UTC by Nir Yechiel
Modified: 2018-10-18 07:24 UTC (History)
5 users (show)

Fixed In Version: opendaylight-6.1.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2017-12-13 21:04:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenDaylight gerrit 48372 0 None None None 2017-01-25 10:54:46 UTC
Red Hat Product Errata RHEA-2017:3462 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Nir Yechiel 2017-01-25 09:59:44 UTC
Description of problem:

Currently, when deploying OpenDaylight with RHOSP 10 the username and password used to login into ODL must be 'admin'/'admin'. 

/usr/share/openstack-tripleo-heat-templates/puppet/services/opendaylight-api.yaml includes "OpenDaylightUsername" and "OpenDaylightPassword" parameters which set with 'admin' by default, and overriding these parameters is currently not supported.

Comment 1 Red Hat Bugzilla Rules Engine 2017-01-25 10:01:02 UTC
This bugzilla has been removed from the release and needs to be reviewed for targeting another release.

Comment 2 Nir Yechiel 2017-01-25 10:53:55 UTC
Code is merged in upstream ODL.

Comment 3 Nir Yechiel 2017-01-25 10:55:24 UTC
(In reply to Nir Yechiel from comment #2)
> Code is merged in upstream ODL.

Usage is described here -- https://wiki.opendaylight.org/view/AAA:Changing_Account_Passwords#Change_Password_When_ODL_is_Not_Running

Comment 12 Itzik Brown 2017-09-13 09:14:50 UTC
Verified:
opendaylight-6.1.0-2.el7ost.noarch

Comment 16 errata-xmlrpc 2017-12-13 21:04:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.